<ion-header no-border>
  <ion-navbar color="danger">
    <ion-title center>
      {{ 'favorites' | translate }}
    </ion-title>
  </ion-navbar>
</ion-header>
<ion-content
  style="   background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top, #000,#42275a, #734b6d); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top,#000, #42275a, #734b6d);text-align: center"
>
  <ion-row [hidden]="myTracks.length > 0">
    <ion-col col-12></ion-col>
    <ion-col col-3> </ion-col>

    <ion-col col-6 style="text-align: center">
      <ion-icon
        style="font-size:10rem;color: white;text-align: center"
        name="heart"
      ></ion-icon>
    </ion-col>

    <ion-col col-3> </ion-col>

    <ion-col col-2> </ion-col>

    <ion-col col-8 style="text-align: center;color: white">
      {{ 'noSongsFavorite' | translate }}
    </ion-col>

    <ion-col col-2> </ion-col>
  </ion-row>

  <ion-row>
    <ion-col col-3> </ion-col>

    <ion-col col-6 style="color:white;text-align: center">
      <button
        ion-button
        color="dark"
        style="border-radius: 100px;opacity:0.5"
        (click)="shuffle()"
        *ngIf="myTracks.length > 0"
      >
        {{ 'shuffleAll' | translate }}
      </button>
    </ion-col>

    <ion-col col-3> </ion-col>
  </ion-row>

  <ion-list no-lines style="background-color: transparent">
    <ion-item
      *ngFor="let track of myTracks; let i = index"
      block
      clear
      style="background-color: transparent;color:white"
    >
      <ion-avatar item-left (click)="play(i)">
        <img class="shadow" src="{{ track.art }}" />
      </ion-avatar>
      <h2 (click)="play(i)">{{ track.title }}</h2>
      <p (click)="play(i)" style="color:floralwhite">{{ track.artist }}</p>

      <ion-icon
        name="more"
        style="opacity: 0.5"
        (click)="more(track)"
        item-right
      ></ion-icon>
    </ion-item>

    <ion-item
      *ngIf="tracks"
      style="background-color: transparent;color:white"
    ></ion-item>
  </ion-list>
</ion-content>

<ion-footer
  style="background: #42275a; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top,#000,#42275a); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to top, #000,#42275a);border: none"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>

  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color: white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
